Mobile Store Item Client API Reference

Install Store Item

Description

Install an App Store Item. Depending on the type requested, this API may return a binary stream or a URL redirect

Endpoint

  • uri - /box/srv/1.1/mas/storeitem/install
  • method - POST | GET

Auth

Restricted - requires sessionId as header

X-FH-AUTH-SESSION: "<sessionId_returned_from_fh.auth_call>"

Request Body

{
  "guid": "<store_item_global_unique_id>",
  "type": "ios | iphone | ipad | android"
}

Response

Success

The response will vary depending on the "type" parameter in the request.

ios | iphone | ipad

iOS Over The Air (OTA) installer page

android

Installable binary artifact for android device - .apk file.

Error

{
  "status": "error",
  "message": "<error_message>"
}

Possible error messages:

  • invalid_type
  • invalid_guid